Subject: Re: Edit a rerere conflict resolution

From: Jakub Narebski <[email-masked]>
Date: Mon, 12 Mar 2012 14:40:43 -0700 (PDT)

Vincent van Ravesteijn <[email-masked]> writes:

> As I wrote, the merge resolutions in my case were very easy
> (logically), but just annoying (motorically).
> These could even be resolved by some merge-conflict hook.
> 
> Examples:
> - for this file we know the conflict always has to be resolved by
> adding the oldest hunk before the newest hunk. For example, new file
> formats will be added sequentially to a file.
> - for this file we can resolve it anyway we want. For example, a
> release notes file which just enumerates all changes in random order.
> 
> Anyway, has anyone thought about such a hook ?

Isn't it what custom merge drivers (for file-level merge) are for?
I think there can be found somewhere merge driver for changelog...

You can also use custom merge strategies, but that is probably
overkill, and I am not sure that it would work (adding new strategy)
without modifying git.

-- 
Jakub Narebski